#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>
#include <errno.h>

bool string_to_int(char* s, int* val) {
	char* endptr;
	errno = 0;
	int i = strtol(s, &endptr, 10);
	if(endptr ==s) return false;
        if(*endptr) return false;
	if(errno) return false;
	*val = i;
	return true;
}

int main(int argc, char *argv[]) {
	int x=500;
	int y=500;

	for(int i=0; i<argc; i++) {
		if(strcmp(argv[i], "-h") == 0) {
			printf("Usage....\n");
		}
		else if(strcmp(argv[i], "-x") == 0) {
			if(!string_to_int(argv[i+1], &x)) {
				printf("Fehler!!\n");
				exit(1);
			}
		}
		else if(strcmp(argv[i], "-y") == 0) {
			if(!string_to_int(argv[i+1], &y)) {
                        	printf("Fehler!!\n");
				exit(1);
 			}
		}
	}

	printf("x = %d, y = %d\n",x,y);

	return 0;
}
